Aller au contenu

pb de fichier du cadastre


philsogood
 Partager

Messages recommandés

hello

j'ai un pb, en allant sur le site du cadastre je voulais télécharger la carte de Montmirail dans la Sarthe.

jusqu'à présent ça marchait bien mais je me suis rendu compte que pour cette commune toutes les régions (0A, ZA, ZB...) ne sont aps présentes. la commune a des "régions" (ZC, ZD, ZE par exemple) qui sont visible sur le site de géoportail mais que je n'arrive pas à télécharger en DXF, sauriez vous pourquoi?

mon problème n'est aps là mais ça m'a intrigué, à la base ce que je cherchais c'était la aprcelle 008 de la zone ZB mais je n'arrive pas à la trouver et pour cause, cette "région"/zone sur AutoCAD (depuis le DXF) ne ressemble en rien à celle que je peux voir sur géoprtail. là encore savez vous pourquoi?

Phil

Projeteur Revit Indépendant - traitement des eaux/CVC

Lien vers le commentaire
Partager sur d’autres sites

Bonjour,

Est ce que ces fichiers DWG ont le même défaut. (je ne sais pas si tu utilise Map, donc j'ai fais les deux)

Il y a commune Montmirail fait sur AutocadMap avec des données d'objet et des Mpolygones

et commune Montmirail_XDATA lisible sur un Autocad classique avec des données étendues et des polylignes, ces données peuvent être lues avec la commande XDLIST des ExpressTools ou avec ce bout de code lues en dynamique

Ces dessins ont été fait avec ceux mis en ligne sur site du cadastre en date du 16 Décembre 2021

(defun c:read_XD ( / AcDoc Space nw_obj ent_text dxf_ent ncol strcatlst Input obj_sel ename elist xd_list fldnamelist strcatlst)
  (setq
    AcDoc (vla-get-ActiveDocument (vlax-get-acad-object))
    Space
    (if (= 1 (getvar "CVPORT"))
      (vla-get-PaperSpace AcDoc)
      (vla-get-ModelSpace AcDoc)
    )
    nw_obj
    (vla-addMtext Space
      (vlax-3d-point (trans (getvar "VIEWCTR") 1 0))
      0.0
      ""
    )
  )
  (mapcar
    '(lambda (pr val)
      (vlax-put nw_obj pr val)
    )
    (list 'AttachmentPoint 'Height 'DrawingDirection 'StyleName 'Layer 'Rotation 'BackgroundFill 'Color)
    (list 1 (/ (getvar "VIEWSIZE") 100.0) 5 (getvar "TEXTSTYLE") (getvar "CLAYER") 0.0 -1 250)
  )
  (setq
    ent_text (entlast)
    dxf_ent (entget ent_text)
    dxf_ent (subst (cons 90 1) (assoc 90 dxf_ent) dxf_ent)
    dxf_ent (subst (cons 63 255) (assoc 63 dxf_ent) dxf_ent)
    ncol 0
    strcatlst ""
  )
  (entmod dxf_ent)
  (while (and (setq Input (grread T 4 2)) (= (car Input) 5))
    (cond
      ((setq obj_sel (nentselp (cadr Input)))
        (if (eq (type (car (last obj_sel))) 'ENAME)
          (setq ename (car (last obj_sel)))
          (setq ename (car obj_sel))
        )
        (if (eq (cdr (assoc 0 (entget ename))) "VERTEX") (setq ename (cdr (assoc 330 (entget ename)))))
        (setq
          elist (entget ename (list "*"))
          xd_list (cdr (assoc -3 elist))
          fldnamelist (mapcar 'car xd_list)
          ncol 0
          strcatlst ""
        )
        (cond
          (fldnamelist
            (foreach tbl fldnamelist
              (setq ncol (1+ ncol))
              (foreach f (mapcar 'cdr (cdr (assoc tbl xd_list)))
                (setq
                  value
                  (cond
                    ((eq (type f) 'STR) f)
                    ((eq (type f) 'INT) (itoa f))
                    ((eq (type f) 'REAL) (rtos f 2 2))
                    ((eq (type f) 'LIST) (strcat (rtos (car f) 2 2) "," (rtos (cadr f) 2 2) "," (rtos (caddr f) 2 2)))
                    (T "")
                  )
                  strcatlst
                  (strcat
                    strcatlst
                    "{\\C" (itoa ncol) ";" tbl "} : "
                    value
                    "\n"
                  )
                )
              )
              (mapcar 
                '(lambda (pr val)
                  (vlax-put nw_obj pr val)
                )
                (list 'InsertionPoint 'AttachmentPoint 'Height 'DrawingDirection 'StyleName 'Layer 'Rotation 'TextString)
                (list (trans (cadr Input) 1 0) 1 (/ (getvar "VIEWSIZE") 100.0) 5 (getvar "TEXTSTYLE") (getvar "CLAYER") 0.0 (strcat "{\\fArial;" strcatlst "}" )) ;"TechnicBold"
              )
            )
          )
        )
      )
    )
  )
  (vla-Delete nw_obj)
  (prin1)
)

 

commune Montmirail_XDATA.dwg

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Lien vers le commentaire
Partager sur d’autres sites

grrRRRrrrr

ces clients qui vont font tourner en bourrique!!

en fait il fallait chercher la parcelle sur une ville voisine en l'occurence Melleray!

après les documents du CCTP se mélangent les pinceaux dans les noms de ville.... un CCTP bien fait comme qui dirait!

Phil

PS : merci pour ton offre @bonuscad mais je te l'ai dit il faut savoir offrir pour le plaisir ;)

Projeteur Revit Indépendant - traitement des eaux/CVC

Lien vers le commentaire
Partager sur d’autres sites

  • 2 semaines après...

Rejoindre la conversation

Vous pouvez publier maintenant et vous inscrire plus tard. Si vous avez un compte, connectez-vous maintenant pour publier avec votre compte.

Invité
Répondre à ce sujet…

×   Collé en tant que texte enrichi.   Coller en tant que texte brut à la place

  Seulement 75 émoticônes maximum sont autorisées.

×   Votre lien a été automatiquement intégré.   Afficher plutôt comme un lien

×   Votre contenu précédent a été rétabli.   Vider l’éditeur

×   Vous ne pouvez pas directement coller des images. Envoyez-les depuis votre ordinateur ou insérez-les depuis une URL.

Chargement
 Partager

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité